/**
 * Neociclo Accord, Open Source B2Bi Middleware
 * Copyright (C) 2005-2010 Neociclo, http://www.neociclo.com
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * $Id: DefaultStartFileResponse.java 558 2010-08-12 16:21:23Z rmarins $
 */
package org.neociclo.odetteftp.protocol;

import java.io.File;

import org.neociclo.odetteftp.oftplet.StartFileResponse;

/**
 * @author Rafael Marins
 * @version $Rev: 558 $ $Date: 2010-08-12 13:21:23 -0300 (Thu, 12 Aug 2010) $
 */
public class DefaultStartFileResponse implements StartFileResponse {

    private boolean accepted;
    private long restartOffset;

    private AnswerReason reason;
    private String reasonText;
    private boolean retryLater;

    private File file;

    public DefaultStartFileResponse(boolean accepted) {
        super();
        this.accepted = accepted;
    }

    public DefaultStartFileResponse(boolean accepted, long restartOffset) {
        super();
        this.accepted = accepted;
        this.restartOffset = restartOffset;
    }

    public DefaultStartFileResponse(boolean accepted, AnswerReason reason, String reasonText, boolean retryLater) {
        super();
        this.accepted = accepted;
        this.reason = reason;
        this.reasonText = reasonText;
        this.retryLater = retryLater;
    }

    public boolean accepted() {
        return accepted;
    }

    public AnswerReason getReason() {
        return reason;
    }

    public String getReasonText() {
        return reasonText;
    }

    public long getRestartOffset() {
        return restartOffset;
    }

    public boolean retryLater() {
        return retryLater;
    }

	public File getFile() {
		return file;
	}

	public void setFile(File file) {
		this.file = file;
	}

}
